glibmm: Glib::Value_Boxed< T > Class Template Reference

glibmm 2.64.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value_Boxed< T > Class Template Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value_Boxed< T >:
[legend]

## Public Types
using | CppType = T
using | CType = typename T::BaseObjectType*

## Public Member Functions
void | set (const CppType& data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void* data)
void* | get_boxed () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

template <class T >

using Glib::Value_Boxed< T >::CppType = T

template <class T >

using Glib::Value_Boxed< T >::CType = typename T::BaseObjectType*

## Member Function Documentation

template <class T >

CppType Glib::Value_Boxed< T >::get | ( |  | ) | const
| inline

template <class T >

void Glib::Value_Boxed< T >::set | ( | const CppType& | data | ) |
| inline

template <class T >

static GType Glib::Value_Boxed< T >::value_type | ( |  | ) |
| inlinestatic